id: apigee-panel

info:
  name: Apigee Login Panel - Detect
  author: righettod
  severity: info
  description: |
    Apigee login panel was detected.
  reference:
    - https://cloud.google.com/apigee?hl=en
  metadata:
    verified: true
    max-request: 1
    shodan-query: http.favicon.hash:"-839356603"
  tags: panel,apigee,login

http:
  - method: GET
    path:
      - "{{BaseURL}}/login"

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_any(body, "<title>Apigee", "content=\"Apigee")'
        condition: and

    extractors:
      - type: regex
        part: body
        group: 1
        regex:
          - 'Version:?\s+([0-9.]+)'
# digest: 4a0a00473045022100ae51b884be2bb38a8560d22d55168f749bb0995f30cda9452e5b8dd071e5936802200926a9b2f2fba3ab73a39bb018ccaf01f0ff149fff4342f9bba3bb7b445a8da2:922c64590222798bb761d5b6d8e72950